mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IDisposable A simple class to do some limited binary I/O. This class can be used to do some limited binary reading operations on a stream.

This class is not a general purpose binary file format reader. Instead it is a class that allows data that was written with the class to be read. The actual encoding of the data is little-endian.

- Constructor
  To be added: an object of type 'Stream'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  To be added: an object of type 'Stream'
  To be added: an object of type 'Text.Encoding'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.IO.Stream To be added To be added: an object of type 'Stream' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void

  Closes the current instance of , releasing any system resources associated with it.

  To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Method
  System.Void `` To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` `` To be added: an object of type 'byte []' To be added: an object of type 'int' To be added: an object of type 'int' To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` `` To be added: an object of type 'char []' To be added: an object of type 'int' To be added: an object of type 'int' To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 Decodes a compressed integer (similar but not ASN.1 BER, nor Perl BER format). The bytes represent an integer in base 128, least significant digits first with as few digits as possible. The high bit (8) is set on each byte except the last. To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean

  Reads the next byte from the stream as boolean and advances the current position by one byte.

  To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte

  Reads the next byte from the stream and advances the current position by one byte.

  To be added: an object of type 'byte' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] `` The amount of bytes to read.

  Reads a maximum of bytes from the stream and advances the current position by the number of bytes read.

  An array of bytes of the length of count. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char

  Reads the next character from the stream and advances the current position by one character. Current character encoding rules apply.

  To be added: an object of type 'char' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char[] `` To be added: an object of type 'int'

  Reads a maximum of characters from the stream and advances the current position by the number of characters read. Current character encoding rules apply.

  To be added: an object of type 'char []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal To be added To be added: an object of type 'decimal' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double To be added To be added: an object of type 'double' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 To be added To be added: an object of type 'short' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 To be added To be added: an object of type 'long' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.SByte To be added To be added: an object of type 'sbyte' To be added 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Single To be added To be added: an object of type 'float' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt16 To be added To be added: an object of type 'ushort' To be added 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt32 To be added To be added: an object of type 'uint' To be added 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.UInt64 To be added To be added: an object of type 'ulong' To be added 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)